#!/bin/bash
DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
cd "${DIR}"
echo ****************** encoding left eye ******************
ffmpeg -framerate 30 -start_number 0 -i render_left/frame_%05d.png -c:v libx264 -r 30 -pix_fmt yuv420p left_eye.mp4
echo ****************** encoding right eye ******************
ffmpeg -framerate 30 -start_number 0 -i render_right/frame_%05d.png -c:v libx264 -r 30 -pix_fmt yuv420p right_eye.mp4
echo ****************** stacking videos ******************
ffmpeg -i left_eye.mp4 -vf 'pad=iw:2*ih [top]; movie=right_eye.mp4 [bottom];[top][bottom] overlay=0:main_h/2' stacked.mov
echo ******************  tidying up ******************
rm left_eye.mp4
rm right_eye.mp4
echo ****************** ta da! ******************
